print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecarbondioxide = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local carbondioxideHudFile = "hud_fill_carbondioxide.dds"
	local carbondioxideHudFileSmall = "hud_fill_carbondioxide_small.dds"
	
    local carbondioxideFilType = g_fillTypeManager:addFillType("CARBONDIOXIDE", g_i18n:getText("carbondioxide"), true, pricecarbondioxide * 0.3, 0.00045, math.rad(10), carbondioxideHudFile, carbondioxideHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascarbondioxide=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascarbondioxide=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CARBONDIOXIDE" then
		hascarbondioxide=true
	end;
		
end;

		if hasmaize and not hascarbondioxide then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CARBONDIOXIDE")
		local price = g_fillTypeManager:getFillTypeByName("CARBONDIOXIDE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CARBONDIOXIDE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)